package com.engine.salary.annotation;

import com.engine.salary.enums.auth.AuthCheckTypeEnum;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 权限验证字段
 * <p>Copyright: Copyright (c) 2022</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface Auth {
    String page();

    AuthCheckTypeEnum checkType() default AuthCheckTypeEnum.TAX_EMP;

    String taxAgentIdField() default "taxAgentId";
    String employeeIdField() default "employeeId";
    String sobIdField() default "salarySobId";
    String optsField() default "opts";
}
